FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sGenerateIn Struct Reference
Data types

Input parameter structure to generate the signature file of the SEPA archive. More...

`#include <FL4SEPA.h>`

## Data Fields
C08 | acDdnSig [F4S_DDNAMELEN]
| DDN for signature FLAMFILE of SEPA archive. More...
C08 | acDsnTra [F4S_DSNAMELEN]
| DSN for transaction FLAMFILE of SEPA archive. More...

## Detailed Description

Input parameter structure to generate the signature file of the SEPA archive.

This structure consists of one DD name and one data set name. The first DD name defines the signature file to be re-written and the second DSN the transaction data set of the SEPA archive.

Through the static allocation of the signature file, the user can ensure enough space and must define the correct attributes depending on the version of the archive.

# The data structure in COBOL

    01 LG-PARMS.
       05 LG-PARMS-IN-DSNS.
          10  DDN-SIG  PIC X(8)  VALUE "DDSIGNAT".
          10  DSN-TRA  PIC X(44) VALUE "FLAM.F4S21.TRADAT.VR8".

## Field Documentation

## ◆ acDdnSig

C08 F4sGenerateIn::acDdnSig[F4S_DDNAMELEN]

DDN for signature FLAMFILE of SEPA archive.

## ◆ acDsnTra

C08 F4sGenerateIn::acDsnTra[F4S_DSNAMELEN]

DSN for transaction FLAMFILE of SEPA archive.

The documentation for this struct was generated from the following file:

- FL4SEPA.h